package com.prolog.cs.biz.outbound.model.dto.faceorder;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

/**
 * @author
 * 类说明
 * 
 */
public class YDPdfInfo implements Serializable {
	/**
	 * order_id : 4383463660
	 * order_serial_no : 155558000035093
	 * partner_id : 20170066118
	 * partner_orderid : 155558000035093
	 * order_type :
	 * mailno : 4060005472650
	 * customer_id :
	 * sender_name : 阿斯达
	 * sender_company :
	 * sender_area_ids :
	 * sender_area_names : 上海市,上海市,闵行区
	 * sender_address : 上海市上海市闵行区上海市闵行区沪闵路6258号
	 * sender_postcode : 000000
	 * sender_phone : 18711420000
	 * sender_mobile : 18711420000
	 * sender_branch : 201700
	 * receiver_name : 李四
	 * receiver_company :
	 * receiver_area_ids : 310118
	 * receiver_area_names : 上海,上海,青浦区
	 * receiver_address : 上海上海青浦区上海 青浦区 赵巷镇 盈港东路6679号
	 * receiver_postcode : 000000
	 * receiver_phone : 15225115093
	 * receiver_mobile : 15225115093
	 * receiver_branch : 200752
	 * weight :
	 * remark :
	 * status : rs10
	 * time : 2019-03-19 09:13:41
	 * position_no : G058 000（二段码和三段码）
	 * position_zz : 0
	 * options :
	 * send_num : 0
	 * nb_ckh :
	 * cus_area1 : 订单号:155558000035093
	 * cus_area2 :
	 * position : 300（一段码）
	 * receiver_flag : 1
	 * package_wd : J200000
	 * callback_id :
	 * wave_no :
	 * node_id :
	 * ems_flag :
	 * cus_area3 :
	 * trade_code : 000
	 * shi1 : null
	 * sheng1 : null
	 * shi2 : 310100
	 * sheng2 : 310000
	 * collection_value : 0.00
	 * value : 0.00
	 * zffs : 0
	 * innerProvinceName : 省内件
	 * package_wdjc : 集包地：上海分拨包（集包地）
	 * sender_branch_jc : 青浦区YD
	 * bigpen_code : G058
	 * lattice_mouth_no : 000
	 * mailno_barcode : 406000547265097300
	 * tname : mailtmp_s02
	 * dispatch_code : 000
	 * qrcode : 4060005472650/300 G058 000
	 * privacy_receiver_name : 车**
	 * privacy_receiver_phone : 152****5093
	 * privacy_receiver_mobile : 152****5093
	 */

	@JsonProperty("order_id")
	private String orderId;
	@JsonProperty("order_serial_no")
	private String orderSerialNo;
	@JsonProperty("partner_id")
	private String partnerId;
	@JsonProperty("partner_orderid")
	private String partnerOrderid;
	@JsonProperty("order_type")
	private String orderType;
	@JsonProperty("mailno")
	private String mailno;
	@JsonProperty("customer_id")
	private String customerId;
	@JsonProperty("sender_name")
	private String senderName;
	@JsonProperty("sender_company")
	private String senderCompany;
	@JsonProperty("sender_area_ids")
	private String senderAreaIds;
	@JsonProperty("sender_area_names")
	private String senderAreaNames;
	@JsonProperty("sender_address")
	private String senderAddress;
	@JsonProperty("sender_postcode")
	private String senderPostcode;
	@JsonProperty("sender_phone")
	private String senderPhone;
	@JsonProperty("sender_mobile")
	private String senderMobile;
	@JsonProperty("sender_branch")
	private String senderBranch;
	@JsonProperty("receiver_name")
	private String receiverName;
	@JsonProperty("receiver_company")
	private String receiverCompany;
	@JsonProperty("receiver_area_ids")
	private String receiverAreaIds;
	@JsonProperty("receiver_area_names")
	private String receiverAreaNames;
	@JsonProperty("receiver_address")
	private String receiverAddress;
	@JsonProperty("receiver_postcode")
	private String receiverPostcode;
	@JsonProperty("receiver_phone")
	private String receiverPhone;
	@JsonProperty("receiver_mobile")
	private String receiverMobile;
	@JsonProperty("receiver_branch")
	private String receiverBranch;
	@JsonProperty("weight")
	private String weight;
	@JsonProperty("remark")
	private String remark;
	@JsonProperty("status")
	private String status;
	@JsonProperty("time")
	private String time;
	@JsonProperty("position_no")
	private String positionNo;
	@JsonProperty("tp_status")
	private String tpStatus;
	@JsonProperty("position_zz")
	private String positionZz;
	@JsonProperty("options")
	private String options;
	@JsonProperty("send_num")
	private String sendNum;
	@JsonProperty("nb_ckh")
	private String nbCkh;
	@JsonProperty("cus_area1")
	private String cusArea1;
	@JsonProperty("cus_area2")
	private String cusArea2;
	@JsonProperty("position")
	private String position;
	@JsonProperty("receiver_flag")
	private String receiverFlag;
	@JsonProperty("package_wd")
	private String packageWd;
	@JsonProperty("callback_id")
	private String callbackId;
	@JsonProperty("wave_no")
	private String waveNo;
	@JsonProperty("node_id")
	private String nodeId;
	@JsonProperty("ems_flag")
	private String emsFlag;
	@JsonProperty("cus_area3")
	private String cusArea3;
	@JsonProperty("trade_code")
	private String tradeCode;
	@JsonProperty("shi1")
	private Object shi1;
	@JsonProperty("sheng1")
	private Object sheng1;
	@JsonProperty("shi2")
	private String shi2;
	@JsonProperty("sheng2")
	private String sheng2;
	@JsonProperty("collection_value")
	private String collectionValue;
	@JsonProperty("value")
	private String value;
	@JsonProperty("zffs")
	private String zffs;
	@JsonProperty("innerProvinceName")
	private String innerProvinceName;
	@JsonProperty("package_wdjc")
	private String packageWdjc;
	@JsonProperty("sender_branch_jc")
	private String senderBranchJc;
	@JsonProperty("bigpen_code")
	private String bigpenCode;
	@JsonProperty("lattice_mouth_no")
	private String latticeMouthNo;
	@JsonProperty("mailno_barcode")
	private String mailnoBarcode;
	@JsonProperty("tname")
	private String tname;
	@JsonProperty("dispatch_code")
	private String dispatchCode;
	@JsonProperty("qrcode")
	private String qrcode;
	@JsonProperty("privacy_receiver_name")
	private String privacyReceiverName;
	@JsonProperty("privacy_receiver_phone")
	private String privacyReceiverPhone;
	@JsonProperty("privacy_receiver_mobile")
	private String privacyReceiverMobile;

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderSerialNo() {
		return orderSerialNo;
	}

	public void setOrderSerialNo(String orderSerialNo) {
		this.orderSerialNo = orderSerialNo;
	}

	public String getPartnerId() {
		return partnerId;
	}

	public void setPartnerId(String partnerId) {
		this.partnerId = partnerId;
	}

	public String getPartnerOrderid() {
		return partnerOrderid;
	}

	public void setPartnerOrderid(String partnerOrderid) {
		this.partnerOrderid = partnerOrderid;
	}

	public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getMailno() {
		return mailno;
	}

	public void setMailno(String mailno) {
		this.mailno = mailno;
	}

	public String getCustomerId() {
		return customerId;
	}

	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}

	public String getSenderName() {
		return senderName;
	}

	public void setSenderName(String senderName) {
		this.senderName = senderName;
	}

	public String getSenderCompany() {
		return senderCompany;
	}

	public void setSenderCompany(String senderCompany) {
		this.senderCompany = senderCompany;
	}

	public String getSenderAreaIds() {
		return senderAreaIds;
	}

	public void setSenderAreaIds(String senderAreaIds) {
		this.senderAreaIds = senderAreaIds;
	}

	public String getSenderAreaNames() {
		return senderAreaNames;
	}

	public void setSenderAreaNames(String senderAreaNames) {
		this.senderAreaNames = senderAreaNames;
	}

	public String getSenderAddress() {
		return senderAddress;
	}

	public void setSenderAddress(String senderAddress) {
		this.senderAddress = senderAddress;
	}

	public String getSenderPostcode() {
		return senderPostcode;
	}

	public void setSenderPostcode(String senderPostcode) {
		this.senderPostcode = senderPostcode;
	}

	public String getSenderPhone() {
		return senderPhone;
	}

	public void setSenderPhone(String senderPhone) {
		this.senderPhone = senderPhone;
	}

	public String getSenderMobile() {
		return senderMobile;
	}

	public void setSenderMobile(String senderMobile) {
		this.senderMobile = senderMobile;
	}

	public String getSenderBranch() {
		return senderBranch;
	}

	public void setSenderBranch(String senderBranch) {
		this.senderBranch = senderBranch;
	}

	public String getReceiverName() {
		return receiverName;
	}

	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}

	public String getReceiverCompany() {
		return receiverCompany;
	}

	public void setReceiverCompany(String receiverCompany) {
		this.receiverCompany = receiverCompany;
	}

	public String getReceiverAreaIds() {
		return receiverAreaIds;
	}

	public void setReceiverAreaIds(String receiverAreaIds) {
		this.receiverAreaIds = receiverAreaIds;
	}

	public String getReceiverAreaNames() {
		return receiverAreaNames;
	}

	public void setReceiverAreaNames(String receiverAreaNames) {
		this.receiverAreaNames = receiverAreaNames;
	}

	public String getReceiverAddress() {
		return receiverAddress;
	}

	public void setReceiverAddress(String receiverAddress) {
		this.receiverAddress = receiverAddress;
	}

	public String getReceiverPostcode() {
		return receiverPostcode;
	}

	public void setReceiverPostcode(String receiverPostcode) {
		this.receiverPostcode = receiverPostcode;
	}

	public String getReceiverPhone() {
		return receiverPhone;
	}

	public void setReceiverPhone(String receiverPhone) {
		this.receiverPhone = receiverPhone;
	}

	public String getReceiverMobile() {
		return receiverMobile;
	}

	public void setReceiverMobile(String receiverMobile) {
		this.receiverMobile = receiverMobile;
	}

	public String getReceiverBranch() {
		return receiverBranch;
	}

	public void setReceiverBranch(String receiverBranch) {
		this.receiverBranch = receiverBranch;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getPositionNo() {
		return positionNo;
	}

	public void setPositionNo(String positionNo) {
		this.positionNo = positionNo;
	}

	public String getPositionZz() {
		return positionZz;
	}

	public void setPositionZz(String positionZz) {
		this.positionZz = positionZz;
	}

	public String getOptions() {
		return options;
	}

	public void setOptions(String options) {
		this.options = options;
	}

	public String getSendNum() {
		return sendNum;
	}

	public void setSendNum(String sendNum) {
		this.sendNum = sendNum;
	}

	public String getNbCkh() {
		return nbCkh;
	}

	public void setNbCkh(String nbCkh) {
		this.nbCkh = nbCkh;
	}

	public String getCusArea1() {
		return cusArea1;
	}

	public void setCusArea1(String cusArea1) {
		this.cusArea1 = cusArea1;
	}

	public String getCusArea2() {
		return cusArea2;
	}

	public void setCusArea2(String cusArea2) {
		this.cusArea2 = cusArea2;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getReceiverFlag() {
		return receiverFlag;
	}

	public void setReceiverFlag(String receiverFlag) {
		this.receiverFlag = receiverFlag;
	}

	public String getPackageWd() {
		return packageWd;
	}

	public void setPackageWd(String packageWd) {
		this.packageWd = packageWd;
	}

	public String getCallbackId() {
		return callbackId;
	}

	public void setCallbackId(String callbackId) {
		this.callbackId = callbackId;
	}

	public String getWaveNo() {
		return waveNo;
	}

	public void setWaveNo(String waveNo) {
		this.waveNo = waveNo;
	}

	public String getNodeId() {
		return nodeId;
	}

	public void setNodeId(String nodeId) {
		this.nodeId = nodeId;
	}

	public String getEmsFlag() {
		return emsFlag;
	}

	public void setEmsFlag(String emsFlag) {
		this.emsFlag = emsFlag;
	}

	public String getCusArea3() {
		return cusArea3;
	}

	public void setCusArea3(String cusArea3) {
		this.cusArea3 = cusArea3;
	}

	public String getTradeCode() {
		return tradeCode;
	}

	public void setTradeCode(String tradeCode) {
		this.tradeCode = tradeCode;
	}

	public Object getShi1() {
		return shi1;
	}

	public void setShi1(Object shi1) {
		this.shi1 = shi1;
	}

	public Object getSheng1() {
		return sheng1;
	}

	public void setSheng1(Object sheng1) {
		this.sheng1 = sheng1;
	}

	public String getShi2() {
		return shi2;
	}

	public void setShi2(String shi2) {
		this.shi2 = shi2;
	}

	public String getSheng2() {
		return sheng2;
	}

	public void setSheng2(String sheng2) {
		this.sheng2 = sheng2;
	}

	public String getCollectionValue() {
		return collectionValue;
	}

	public void setCollectionValue(String collectionValue) {
		this.collectionValue = collectionValue;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getZffs() {
		return zffs;
	}

	public void setZffs(String zffs) {
		this.zffs = zffs;
	}

	public String getInnerProvinceName() {
		return innerProvinceName;
	}

	public void setInnerProvinceName(String innerProvinceName) {
		this.innerProvinceName = innerProvinceName;
	}

	public String getPackageWdjc() {
		return packageWdjc;
	}

	public void setPackageWdjc(String packageWdjc) {
		this.packageWdjc = packageWdjc;
	}

	public String getSenderBranchJc() {
		return senderBranchJc;
	}

	public void setSenderBranchJc(String senderBranchJc) {
		this.senderBranchJc = senderBranchJc;
	}

	public String getBigpenCode() {
		return bigpenCode;
	}

	public void setBigpenCode(String bigpenCode) {
		this.bigpenCode = bigpenCode;
	}

	public String getLatticeMouthNo() {
		return latticeMouthNo;
	}

	public void setLatticeMouthNo(String latticeMouthNo) {
		this.latticeMouthNo = latticeMouthNo;
	}

	public String getMailnoBarcode() {
		return mailnoBarcode;
	}

	public void setMailnoBarcode(String mailnoBarcode) {
		this.mailnoBarcode = mailnoBarcode;
	}

	public String getTname() {
		return tname;
	}

	public void setTname(String tname) {
		this.tname = tname;
	}

	public String getDispatchCode() {
		return dispatchCode;
	}

	public void setDispatchCode(String dispatchCode) {
		this.dispatchCode = dispatchCode;
	}

	public String getQrcode() {
		return qrcode;
	}

	public void setQrcode(String qrcode) {
		this.qrcode = qrcode;
	}

	public String getPrivacyReceiverName() {
		return privacyReceiverName;
	}

	public void setPrivacyReceiverName(String privacyReceiverName) {
		this.privacyReceiverName = privacyReceiverName;
	}

	public String getPrivacyReceiverPhone() {
		return privacyReceiverPhone;
	}

	public void setPrivacyReceiverPhone(String privacyReceiverPhone) {
		this.privacyReceiverPhone = privacyReceiverPhone;
	}

	public String getPrivacyReceiverMobile() {
		return privacyReceiverMobile;
	}

	public void setPrivacyReceiverMobile(String privacyReceiverMobile) {
		this.privacyReceiverMobile = privacyReceiverMobile;
	}
	
	@Override
	public String toString() {
		return "Pdf [orderId=" + orderId + ", orderSerialNo=" + orderSerialNo + ", partnerId=" + partnerId
				+ ", partnerOrderid=" + partnerOrderid + ", orderType=" + orderType + ", mailno=" + mailno
				+ ", customerId=" + customerId + ", senderName=" + senderName + ", senderCompany=" + senderCompany
				+ ", senderAreaIds=" + senderAreaIds + ", senderAreaNames=" + senderAreaNames + ", senderAddress="
				+ senderAddress + ", senderPostcode=" + senderPostcode + ", senderPhone=" + senderPhone
				+ ", senderMobile=" + senderMobile + ", senderBranch=" + senderBranch + ", receiverName=" + receiverName
				+ ", receiverCompany=" + receiverCompany + ", receiverAreaIds=" + receiverAreaIds
				+ ", receiverAreaNames=" + receiverAreaNames + ", receiverAddress=" + receiverAddress
				+ ", receiverPostcode=" + receiverPostcode + ", receiverPhone=" + receiverPhone + ", receiverMobile="
				+ receiverMobile + ", receiverBranch=" + receiverBranch + ", weight=" + weight + ", remark=" + remark
				+ ", status=" + status + ", time=" + time + ", positionNo=" + positionNo + ", positionZz=" + positionZz
				+ ", options=" + options + ", sendNum=" + sendNum + ", nbCkh=" + nbCkh + ", cusArea1=" + cusArea1
				+ ", cusArea2=" + cusArea2 + ", position=" + position + ", receiverFlag=" + receiverFlag
				+ ", packageWd=" + packageWd + ", callbackId=" + callbackId + ", waveNo=" + waveNo + ", nodeId="
				+ nodeId + ", emsFlag=" + emsFlag + ", cusArea3=" + cusArea3 + ", tradeCode=" + tradeCode + ", shi1="
				+ shi1 + ", sheng1=" + sheng1 + ", shi2=" + shi2 + ", sheng2=" + sheng2 + ", collectionValue="
				+ collectionValue + ", value=" + value + ", zffs=" + zffs + ", innerProvinceName=" + innerProvinceName
				+ ", packageWdjc=" + packageWdjc + ", senderBranchJc=" + senderBranchJc + ", bigpenCode=" + bigpenCode
				+ ", latticeMouthNo=" + latticeMouthNo + ", mailnoBarcode=" + mailnoBarcode + ", tname=" + tname
				+ ", dispatchCode=" + dispatchCode + ", qrcode=" + qrcode + ", privacyReceiverName="
				+ privacyReceiverName + ", privacyReceiverPhone=" + privacyReceiverPhone + ", privacyReceiverMobile="
				+ privacyReceiverMobile + "]";
	}

	
}